Applications
List application members
List members with their resolved roles for the application. Requires applications:read (workspace key) or members:read (application key) scope.
GET
/applications/{application_id}/membersAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Path Parameters
application_id*string
Application ID.
Query Parameters
sort_by?string
Field to sort by.
Default
"name"Value in
- "name"
- "email"
- "role"
- "resolved_role"
sort?string
Sort direction.
Default
"asc"Value in
- "asc"
- "desc"
search?string
Search query (max 50 characters). Searches member name and email.
Length
length <= 50per_page?integer
Items per page (default varies by endpoint; max 100).
Range
1 <= value <= 100Default
15Response Body
application/json
application/json
application/json
curl -X GET -G "https://example.comapplications/aBc1234/members" \ --data-urlencode "search=jane@example.com" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Application members retrieved successfully.", "data": [ { "id": "uSr1234", "name": "Jane Smith", "email": "jane@example.com", "profile_photo_url": "https://uploads.buildstash.com/B7kLmNpQrStUvWx.png", "role": "developer" } ], "pagination": { "current_page": 1, "per_page": 20, "total": 42, "last_page": 5, "from": 1, "to": 10 }}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}